Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.util
Class SourceCode.Method

    java.lang.Object
      org.apache.openjpa.persistence.util.SourceCode.Element<SourceCode.Method>
          org.apache.openjpa.persistence.util.SourceCode.Method

All Implemented Interfaces:
  Comparable<SourceCode.Element<SourceCode.Method>>

Enclosing class:
  SourceCode

    public class SourceCode.Method

extends SourceCode.Element<SourceCode.Method>

Represents Method declaration.

Field Summary
`(package private) String` | `tab`
`(package private) int` | `tabCount`

Fields inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`access, annos, comment, isFinal, isStatic, name, params, type`

Constructor Summary
`SourceCode.Method(String name, org.apache.openjpa.persistence.util.SourceCode.ClassName returnType)`
`SourceCode.Method(String n, String t)`

Method Summary
`SourceCode.Method` | `addArgument(SourceCode.Argument<org.apache.openjpa.persistence.util.SourceCode.ClassName,String> arg)`
`SourceCode.Method` | `addArgument(String className, String argName)`
`SourceCode.Method` | `addCodeLine(String line)`
`SourceCode.Method` | `addCodeLine(String line, boolean tabInc)` if tabInc = true, the current line, and all following lines will be tabbed.
`boolean` | `equals(Object other)`
`SourceCode.Method` | `makeAbstract()`
`void` | `setTab(boolean inc)`
`String` | `toString()`
`void` | `write(PrintWriter out, int tab)`

Methods inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`addAnnotation, addComment, addParameter, compareTo, getType, makeFinal, makePrivate, makeProtected, makePublic, makeStatic`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tabCount

    int tabCount

### tab

    String tab

Constructor Detail

### SourceCode.Method

    SourceCode.Method(String n,
                      String t)

### SourceCode.Method

    public SourceCode.Method(String name,
                             org.apache.openjpa.persistence.util.SourceCode.ClassName returnType)

Method Detail

### addArgument

    public SourceCode.Method addArgument(SourceCode.Argument<org.apache.openjpa.persistence.util.SourceCode.ClassName,String> arg)

### addArgument

    public SourceCode.Method addArgument(String className,
                                         String argName)

### setTab

    public void setTab(boolean inc)

### addCodeLine

    public SourceCode.Method addCodeLine(String line)

### addCodeLine

    public SourceCode.Method addCodeLine(String line,
                                         boolean tabInc)

  if tabInc = true, the current line, and all following lines will be tabbed. If false, a tab will be removed.

### makeAbstract

    public SourceCode.Method makeAbstract()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(PrintWriter out,
                      int tab)

  Overrides:
    `write` in class `SourceCode.Element<SourceCode.Method>`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.